<?php
/* litse avance de rep
 > permet de supprimer un dossier meme s'il n'est pas vide. Le script explore tout le contenu et le supprime
 > avant de supprimer le dossier.
 >> Parametres d'entree :
 > $dir : STRING / chemin d'acces au dossier a supprimer
 >> Parametre de sortie : BOOLEEN / TRUE si dossier supprime, FALSE en cas d'erreur*/
function liste_Dir( $dir="../../cache/" ){
$cp='';
$res=array();
 if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
 $handle = opendir( $dir );
 if( $handle != false ) {
  while( $item = readdir($handle) ) {
   $cp++;
   if($item != "." && $item != "..") {
     if( is_dir( $dir.$item ) ){
      $res["dir_$cp"]= $dir.$item;
     }
     else array_push($res, $dir.$item );
   }
  }

 closedir($handle);
 return $res;
}
}
?>